#!/usr/bin/env python

from data import *
from math import *

dataname = ['MSD (1\\%)', 'tfidf6', 'logp6', 
	'dong (0.1\\%)', 'kddb (0.1\\%)']
linear_datasets = [MSD_sub_scale_mse_1, E2006_scale_mse_1, LE2006_scale_mse_1, 
		mydong_sub_scale_mse_1, kdd2010b_sub_scale_mse_1]
nonlinear_datasets = [MSD_sub_scale_rbfmse_1, E2006_scale_rbfmse_1, LE2006_scale_rbfmse_1, 
		mydong_sub_scale_rbfmse_1, kdd2010b_sub_scale_rbfmse_1]

linear_log = 'default-cdn'
nonlinear_log = 'default-nonlinear'
nonlinear_log_default = 'default-nonlinear-default-stopping'

def _tolog(v):
	v = float(v)
	if v <= 0 or v is None:
		return v
	if v > 1:
		return int(log(v, 2)+0.5)
	else:
		return int(log(v, 2)-0.5)

def tolog(data):
	data.p = '$2^{{{0}}}$'.format(_tolog(data.p))
	data.c = '$2^{{{0}}}$'.format(_tolog(data.c))
	if data.g is not None: data.g = '$2^{{{0}}}$'.format(_tolog(data.g))

for i, data in enumerate(dataname):
	tolog(linear_datasets[i])
	tolog(nonlinear_datasets[i])

	linear_mse = -1
	linear_r = -1
	linear_t = -1
	nonlinear_mse = -1
	nonlinear_r = -1
	nonlinear_t = -1
	nonlinear_dmse = -1
	nonlinear_dr = -1
	nonlinear_dt = -1
	for line in open(linear_log + '/' + linear_datasets[i].name):
		if 'total' in line:
			linear_t = line.split()[-1].rstrip('0')
		elif 'Mean squared' in line:
			linear_mse = '{0:.4f}'.format(float(line.split()[-2]))
		elif 'Squared' in line:
			linear_r = line.split()[-2]
	for line in open(nonlinear_log + '/' + nonlinear_datasets[i].name + '.train'):
		if 'time' in line:
			nonlinear_t = line.split()[-1].rstrip('0')
	for line in open(nonlinear_log + '/' + nonlinear_datasets[i].name + '.predict'):
		if 'Mean squared' in line:
			nonlinear_mse = '{0:.4f}'.format(float(line.split()[-2]))
		elif 'Squared' in line:
			nonlinear_r = line.split()[-2]
#	for line in open(nonlinear_log_default + '/' + nonlinear_datasets[i].name + '.train'):
#		if 'time' in line:
#			nonlinear_dt = line.split()[-1].rstrip('0')
#	for line in open(nonlinear_log_default + '/' + nonlinear_datasets[i].name + '.predict'):
#		if 'Mean squared' in line:
#			nonlinear_dmse = line.split()[-2][:6]
#		elif 'Squared' in line:
#			nonlinear_dr = line.split()[-2]


	print("\\" + " & ".join(map(str, [dataname[i], linear_datasets[i].p, linear_datasets[i].c, linear_mse, linear_t, nonlinear_datasets[i].p, nonlinear_datasets[i].c, nonlinear_datasets[i].g, nonlinear_mse, nonlinear_t])) + "\\\\")
