#!/usr/bin/env python

from data import *
from math import *

dataname = ['MSD', 'tfidf6', 'logp6', 'dong', 'kddb']

datasets = [MSD_default_2, E2006_default_2, LE2006_default_2, mydong_default_2, kdd2010b_default_2]
scale_datasets = [MSD_scale_default_2, E2006_scale_default_2, LE2006_scale_default_2, mydong_scale_default_2, kdd2010b_scale_default_2]
scale_mse_datasets = [MSD_scale_mse_2, E2006_scale_mse_2, LE2006_scale_mse_2, mydong_scale_mse_2, kdd2010b_scale_mse_2]

linear_log = 'default'

def _tolog(v):
	v = float(v)
	if v <= 0 or v is None:
		return v
	if v > 1:
		return int(log(v, 2)+0.5)
	else:
		return int(log(v, 2)-0.5)

def tolog(data):
	data.p = '$2^{{{0}}}$'.format(_tolog(data.p))
	data.c = '$2^{{{0}}}$'.format(_tolog(data.c))
	if data.g is not None: data.g = '$2^{{{0}}}$'.format(_tolog(data.g))

for i, data in enumerate(dataname):
	tolog(scale_mse_datasets[i])

	mse = -1
	scale_mse = -1
	scale_mse_mse = -1
	
	for line in open(linear_log + '/' + datasets[i].name):
		if 'Mean squared' in line:
			mse = line.split()[-2][:7]
	for line in open(linear_log + '/' + scale_datasets[i].name):
		if 'Mean squared' in line:
			scale_mse = line.split()[-2][:7]
	for line in open(linear_log + '/' + scale_mse_datasets[i].name):
		if 'Mean squared' in line:
			scale_mse_mse = line.split()[-2][:7]

	print("\\" + " & ".join(map(str, [dataname[i], mse, scale_mse, scale_mse_datasets[i].c, scale_mse_datasets[i].p, scale_mse_mse])) + "\\\\")
