#!/usr/bin/env bash

mkdir -p log paper-figures
ln -s ../data data

# no shrinking
./run.py -ns -cptron
# shrinking
./run.py
# shrinking 3 (M/w_size)
./run.py -exec="solvers=[[10], [], [11]]" -train="../liblinear-svr/train-sh3" -note='-cdn-shrinking3'
# shrinking 5 (M/nnz)
./run.py -exec="solvers=[[10], [], [11]]" -train="../liblinear-svr/train-sh5" -note='-cdn-shrinking5'

# run default
./run_cdn_default.py
./run_ls_default.py
./run_nonlinear_default.py
./run_tron_default.py

# generate default line
./generate_default_line.py

# generate bias log
./run_bias.py

# generate figures
./draw-compare-solvers.py

# Table 2
echo "Table 2:"
./generate_linear_nonlinear_table.py
# Table 3
echo "Table 3:"
./generate_normalized_table.py
# Table 4
echo "Table 4:"
./generate_bias_table.py
# Table 5
echo "Table 5:"
./generate_ls_table.py
