#!/usr/bin/env python

import os
from data import *

log = 'default-cdn'
train1 = '../liblinear-svr/train -s 11 -e 0.1'
train2 = '../liblinear-svr/train -s 10 -e 0.1'

datasets1 = []
datasets2 = []

datasets1 += [MSD_scale_default_2, LE2006_scale_default_2, E2006_scale_default_2, mydong_scale_default_2, kdd2010b_scale_default_2]
datasets1 += [LE2006_default_2, E2006_default_2, mydong_default_2]
datasets1 += [MSD_scale_mse_2, LE2006_scale_mse_2, E2006_scale_mse_2, mydong_scale_mse_2, kdd2010b_scale_mse_2]
datasets2 += [MSD_scale_default_1, LE2006_scale_default_1, E2006_scale_default_1, mydong_scale_default_1, kdd2010b_scale_default_1]
datasets2 += [LE2006_default_1, E2006_default_1, mydong_default_1]
datasets2 += [MSD_scale_mse_1, LE2006_scale_mse_1, E2006_scale_mse_1, mydong_scale_mse_1, kdd2010b_scale_mse_1]

datasets2 += [MSD_sub_scale_mse_1, mydong_sub_scale_mse_1, kdd2010b_sub_scale_mse_1]


if not os.path.exists(log):
	os.mkdir(log)

for data in datasets1:
	if os.path.exists(log + '/' + data.name):
		continue
	
	exec_cmd = '{0} -p {4} -c {5} ./data/{1} ./data/{2} > {3}'.format(train1, data.train, data.test, log + '/' + data.name, data.p, data.c)
	print(exec_cmd)
	os.system(exec_cmd)
	#os.system('cat {0}/{1}'.format(log, data.name))

for data in datasets2:
	if os.path.exists(log + '/' + data.name):
		continue
	
	exec_cmd = '{0} -p {4} -c {5} ./data/{1} ./data/{2} > {3}'.format(train2, data.train, data.test, log + '/' + data.name, data.p, data.c)
	print(exec_cmd)
	os.system(exec_cmd)
	#os.system('cat {0}/{1}'.format(log, data.name))
